package com.seeyon.apps.esign.node;

import com.seeyon.apps.common.workflow.node.ACommonSuperNode;
import com.seeyon.apps.ext.workflow.vo.FormDataVo;
import com.seeyon.apps.ext.workflow.vo.SuperNodeContext;
import com.seeyon.cap4.form.bean.FormDataMasterBean;

public class EsignOrgAuthNode extends ACommonSuperNode {
    @Override
    public String getPluginId() {
        return "";
    }

    @Override
    public String getFormParse() {
        return "";
    }

    @Override
    public SuperNodeContext proceed(String s, FormDataVo formDataVo, FormDataMasterBean formDataMasterBean) throws Exception {
        //个人实名认证、企业认证处理
        return null;
    }

    public void personAuth() {
       // /v3/psn-auth-url
    }

    @Override
    public String getNodeId() {
        return "";
    }

    @Override
    public String getNodeName() {
        return "";
    }
}
